## wsjtx 2.1.2+ds1

=== debian/changelog ===
wsjtx (2.1.2+ds1-1~mx19+1) mx; urgency=medium

  * Repackage for MX 19 from upstream Debian source

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sun, 26 Jan 2020 13:32:39 -0500

wsjtx (2.1.2+repack-2) unstable; urgency=medium

  * Link to system libqcustomplot instead of embedded copy.
  * Symlink to cty.dat from hamradio-files.
  * Refactor doc handling and drop useless files.

 -- Christoph Berg <myon@debian.org>  Sun, 29 Dec 2019 11:58:29 +0100

wsjtx (2.1.2+repack-1) unstable; urgency=medium

  * Team upload

  [ Christoph Berg ]
  * Update package description to include FT4.
  * debian/gitlab-ci.yml: Run reprotest with diffoscope enabled.
  * Remove obsolete 0001-add-start-script.patch. Spotted by tony mancill,
    thanks! (Closes: #934446)
  * Remove obsolete 0002-add-manpage.patch

  [ tony mancill ]
  * New upstream version 2.1.2
  * Refresh patches for 2.1.2 upstream release
  * Replace libqwt-dev build dependency with libqwt-qt5-dev
  * Update spelling-errors patch
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sat, 30 Nov 2019 17:03:05 -0800
