=== debian/control ===
Source: wsjtx
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Priority: optional
Build-Depends:
	asciidoc,
	asciidoctor,
	cmake,
	debhelper (>= 11),
	gfortran,
	libboost1.67-dev,
	libfftw3-dev,
	libhamlib-dev (>= 3.2),
	libqcustomplot-dev,
	libqt5opengl5-dev,
	libqt5serialport5-dev,
	libqwt-qt5-dev,
	libsamplerate0-dev,
	libudev-dev,
	portaudio19-dev,
	qtbase5-dev,
	qttools5-dev,
	qtmultimedia5-dev,
	texinfo,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Rules-Requires-Root: no

Package: wsjtx
Architecture: linux-any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	hamradio-files,
	libhamlib-utils,
	libqt5multimedia5-plugins,
	wsjtx-data (= ${source:Version}),
Recommends: wsjtx-doc
Description: Weak-signal amateur radio communications
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 JT4, JT9, JT65, and QRA64 use nearly identical message structure and source
 encoding (the efficient compression of standard messages used for minimal
 QSOs). They use timed 60-second T/R sequences synchronized with UTC. JT65 and
 QRA64 were designed for EME ("moonbounce") on the VHF/UHF bands; JT65 has also
 proved popular and effective for worldwide QRP communication at HF. JT9 is
 optimized for the LF, MF, and HF bands. It is about 2 dB more sensitive than
 JT65 while using less than 10% of the bandwidth. With either JT9 or JT65,
 world-wide QSOs are possible with power levels of a few watts and compromise
 antennas. JT4 and QRA64 are optimized for EME on the VHF and higher bands, and
 especially the microwave bands from 2.3 to 24 GHz.
 .
 FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and 15 s
 long, respectively. MSK144 is designed for Meteor Scatter on the VHF bands.
 These modes offer enhanced message formats with support for nonstandard
 callsigns and some popular contests.
 .
 WSPR mode implements a protocol designed for probing potential propagation
 paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
 including programmable "band-hopping".

Package: wsjtx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Conflicts: wsjtx (<< 2.0.0)
Replaces: wsjtx (<< 2.0.0)
Description: Weak-signal amateur radio communications (data files)
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package contains architecture-independent data files.

Package: wsjtx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${shlibs:Depends},
	${misc:Depends},
	fonts-font-awesome,
	fonts-open-sans,
Description: Documentation and examples for the WSJT-X package
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package provides the software documentation.
