=== debian/control ===
--- 
+++ 
@@ -1,6 +1,12 @@
 Source: wsjtx
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders:
+	John T. Nogatch <jnogatch@gmail.com>,
+	Kamal Mostafa <kamal@whence.com>,
+	Dave Hibberd <d@vehibberd.com>,
+	Enrico Rossi <e.rossi@tecnobrain.com>,
+	Christoph Berg <myon@debian.org>,
+Section: hamradio
 Priority: optional
 Build-Depends:
 	asciidoc,
