## wsjtx 2.2.2+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 if (APPLE)
   #
-  # The following variables define the portability and compatability attributes of the Mac OS X build
+  # The following variables define the portability and compatability attributes of the Mac macOS build
   # they are choosen with care and should not be changed without good cause.
   #
   # Among other things these options are chosen to match the portability and compatability options of the
@@ -10,15 +10,15 @@
   #
   # otool -l <binary> | grep -A3 LC_VERSION_MIN_MACOSX
   #
-  set (CMAKE_OSX_DEPLOYMENT_TARGET 10.10
-    CACHE STRING "Earliest version of OS X supported
-
-Earliest version we can support with Qt 5.8, C++11 & libc++ is 10.10.
+  set (CMAKE_OSX_DEPLOYMENT_TARGET 10.12
+    CACHE STRING "Earliest version of macOS supported
+
+Earliest version we can support with Qt 5.12, C++11 & libc++ is 10.13.
 Do not override this if you intend to build an official deployable installer.")
-  set (CMAKE_OSX_SYSROOT /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk
+  set (CMAKE_OSX_SYSROOT /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk
     CACHE STRING "Mac OS X SDK to build with
 
-Change this to the newest SDK available that you can install on your system (10.11 preferred).
+Change this to the newest SDK available that you can install on your system (>10.14 preferred).
 Do not override this if you intend to build an official deployable installer.")
 endif (APPLE)
 
@@ -58,7 +58,7 @@
 set (PROJECT_MANUAL_DIRECTORY_URL http://www.physics.princeton.edu/pulsar/K1JT/wsjtx-doc/)
 set (PROJECT_SAMPLES_URL http://downloads.sourceforge.net/project/wsjt/)
 set (PROJECT_SAMPLES_UPLOAD_DEST frs.sourceforge.net:/home/frs/project/wsjt/)
-set (PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communicaitons in Amateur Radio.")
+set (PROJECT_SUMMARY_DESCRIPTION "${PROJECT_NAME} - Digital Modes for Weak Signal Communications in Amateur Radio.")
 set (PROJECT_DESCRIPTION "${PROJECT_SUMMARY_DESCRIPTION}
  ${PROJECT_NAME} is a computer program designed to facilitate basic amateur
  radio communication using very weak signals. The first four letters in
@@ -224,10 +224,12 @@
 #
 set (wsjt_qt_CXXSRCS
   qt_helpers.cpp
+  lib/shmem.cpp
   widgets/MessageBox.cpp
   MetaDataRegistry.cpp
-  NetworkServerLookup.cpp
+  Network/NetworkServerLookup.cpp
   revision_utils.cpp
+  L10nLoader.cpp
   WFPalette.cpp
   Radio.cpp
   RadioMetaType.cpp
@@ -243,17 +245,17 @@
   validators/LiveFrequencyValidator.cpp
   GetUserId.cpp
   TraceFile.cpp
-  AudioDevice.cpp
-  Transceiver.cpp
-  TransceiverBase.cpp
-  EmulateSplitTransceiver.cpp
-  TransceiverFactory.cpp
-  PollingTransceiver.cpp
-  HamlibTransceiver.cpp
-  HRDTransceiver.cpp
-  DXLabSuiteCommanderTransceiver.cpp
-  NetworkMessage.cpp
-  MessageClient.cpp
+  Audio/AudioDevice.cpp
+  Transceiver/Transceiver.cpp
+  Transceiver/TransceiverBase.cpp
+  Transceiver/EmulateSplitTransceiver.cpp
+  Transceiver/TransceiverFactory.cpp
+  Transceiver/PollingTransceiver.cpp
+  Transceiver/HamlibTransceiver.cpp
+  Transceiver/HRDTransceiver.cpp
+  Transceiver/DXLabSuiteCommanderTransceiver.cpp
+  Network/NetworkMessage.cpp
+  Network/MessageClient.cpp
   widgets/LettersSpinBox.cpp
   widgets/HintedSpinBox.cpp
   widgets/RestrictedSpinBox.cpp
@@ -271,14 +273,10 @@
   EqualizationToolsDialog.cpp
   widgets/DoubleClickablePushButton.cpp
   widgets/DoubleClickableRadioButton.cpp
-  LotWUsers.cpp
+  Network/LotWUsers.cpp
   models/DecodeHighlightingModel.cpp
   widgets/DecodeHighlightingListView.cpp
   models/FoxLog.cpp
   widgets/AbstractLogWindow.cpp
   widgets/FoxLogWindow.cpp
   widgets/CabrilloLogWindow.cpp
-  item_delegates/CallsignDelegate.cpp
-  item_delegates/MaidenheadLocatorDelegate.cpp
-  item_delegates/FrequencyDelegate.cpp
-  item_delegates/FrequencyDeltaDelegate.cpp
