=== debian/changelog ===
wsjtx (2.2.2+repack-2) unstable; urgency=medium

  * Team upload.
  * Add patch to pass --nonet to xsltproc for manpages and add
    docbook-xml to Build-Depends. (Closes: #964208)
  * Add patch for spelling typo in the wsjtx manpage.

 -- tony mancill <tmancill@debian.org>  Sun, 05 Jul 2020 13:25:05 -0700

wsjtx (2.2.2+repack-1) unstable; urgency=medium

  * New upstream version.
  * Document license of qcustomplot-source/.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Jun 2020 11:48:02 +0200

wsjtx (2.2.1+repack-1) unstable; urgency=medium

  * New upstream version.
  * Document license of contrib/QDarkStyleSheet/.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Jun 2020 13:14:16 +0200

wsjtx (2.2.0+repack-2) unstable; urgency=medium

  * B-D on unversioned libboost-dev. (Closes: #962173)

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jun 2020 12:13:31 +0200

wsjtx (2.2.0+repack-1) unstable; urgency=medium

  * New upstream version.
  * Symlink docs from wsjtx-main.html so the doc-base file doesn't need
    updating with each release.
  * Remove obsolete debian/wsjtx.png.
  * Build and install upstream manpages instead of cached copies.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Jun 2020 19:45:16 +0200

wsjtx (2.2.0~rc2+repack-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 26 May 2020 17:21:51 +0200

wsjtx (2.2.0~rc1+repack-1) unstable; urgency=medium

  * New upstream rc version.
  * Remove boost/ directory from source tarball.
  * rules: Disable verbose debhelper output.
  * rules: Export buildflags.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 12 May 2020 23:29:52 +0200
