=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
 	asciidoc,
 	asciidoctor,
 	cmake,
-	debhelper (>= 11),
+	debhelper-compat (= 13),
+	docbook-xsl,
 	gfortran,
-	libboost1.67-dev,
+	libboost-dev,
 	libfftw3-dev,
 	libhamlib-dev (>= 3.2),
 	libqcustomplot-dev,
@@ -28,7 +29,7 @@
 	qttools5-dev,
 	qtmultimedia5-dev,
 	texinfo,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
 Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
