=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,repacksuffix=+repack" \
http://physics.princeton.edu/pulsar/k1jt/wsjtx.html .*wsjtx-(.*).tgz
